- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Signals | Public Member Functions | Static Public Member Functions

# QInputDialog Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qinputdialog.h.

`#include <qinputdialog.h>`

Inheritance diagram for QInputDialog:
[legend]

List of all members.

## Public Types
enum | InputDialogOption { NoButtons = 0x00000001, UseListViewForComboBoxItems = 0x00000002 }
enum | InputMode { TextInput, IntInput, DoubleInput }
## Signals
void | textValueChanged (const QString &text)
void | textValueSelected (const QString &text)
void | intValueChanged (int value)
void | intValueSelected (int value)
void | doubleValueChanged (double value)
void | doubleValueSelected (double value)
## Public Member Functions
| QInputDialog (QWidget *parent=0, Qt::WindowFlags flags=0)
| ~QInputDialog ()
void | setInputMode (InputMode mode)
InputMode | inputMode () const
void | setLabelText (const QString &text)
QString | labelText () const
void | setOption (InputDialogOption option, bool on=true)
bool | testOption (InputDialogOption option) const
void | setOptions (InputDialogOptions options)
InputDialogOptions | options () const
void | setTextValue (const QString &text)
QString | textValue () const
void | setTextEchoMode (QLineEdit::EchoMode mode)
QLineEdit::EchoMode | textEchoMode () const
void | setComboBoxEditable (bool editable)
bool | isComboBoxEditable () const
void | setComboBoxItems (const QStringList &items)
QStringList | comboBoxItems () const
void | setIntValue (int value)
int | intValue () const
void | setIntMinimum (int min)
int | intMinimum () const
void | setIntMaximum (int max)
int | intMaximum () const
void | setIntRange (int min, int max)
void | setIntStep (int step)
int | intStep () const
void | setDoubleValue (double value)
double | doubleValue () const
void | setDoubleMinimum (double min)
double | doubleMinimum () const
void | setDoubleMaximum (double max)
double | doubleMaximum () const
void | setDoubleRange (double min, double max)
void | setDoubleDecimals (int decimals)
int | doubleDecimals () const
void | setOkButtonText (const QString &text)
QString | okButtonText () const
void | setCancelButtonText (const QString &text)
QString | cancelButtonText () const
void | open (QObject *receiver, const char *member)
QSize | minimumSizeHint () const
QSize | sizeHint () const
void | setVisible (bool visible)
void | done (int result)
## Static Public Member Functions
static QString | getText (QWidget *parent, const QString &title, const QString &label, QLineEdit::EchoMode echo=QLineEdit::Normal, const QString &text=QString(), bool *ok=0, Qt::WindowFlags flags=0)
static int | getInt (QWidget *parent, const QString &title, const QString &label, int value=0, int minValue=-2147483647, int maxValue=2147483647, int step=1, bool *ok=0, Qt::WindowFlags flags=0)
static double | getDouble (QWidget *parent, const QString &title, const QString &label, double value=0, double minValue=-2147483647, double maxValue=2147483647, int decimals=1, bool *ok=0, Qt::WindowFlags flags=0)
static QString | getItem (QWidget *parent, const QString &title, const QString &label, const QStringList &items, int current=0, bool editable=true, bool *ok=0, Qt::WindowFlags flags=0)
static int | getInteger (QWidget *parent, const QString &title, const QString &label, int value=0, int minValue=-2147483647, int maxValue=2147483647, int step=1, bool *ok=0, Qt::WindowFlags flags=0)

## Member Enumeration Documentation

enum InputDialogOption

Search for all occurrences

Enumerator:

  NoButtons | Search for all occurrences
  UseListViewForComboBoxItems | Search for all occurrences

Definition at line 83 of file qinputdialog.h.

                               {
            NoButtons                   = 0x00000001,
            UseListViewForComboBoxItems = 0x00000002
        };

enum InputMode

Search for all occurrences

Enumerator:

  TextInput | Search for all occurrences
  IntInput | Search for all occurrences
  DoubleInput | Search for all occurrences

Definition at line 90 of file qinputdialog.h.

                       {
            TextInput,
            IntInput,
            DoubleInput
        };

## Constructor & Destructor Documentation

QInputDialog | ( | QWidget * | parent = `0`,
|  | Qt::WindowFlags | flags = `0`
| ) |  |

~QInputDialog | ( |  | ) |

## Member Function Documentation

void setInputMode | ( | InputMode | mode | ) |

Search for all occurrences

InputMode inputMode | ( |  | ) | const

Search for all occurrences

void setLabelText | ( | const QString & | text | ) |

Search for all occurrences

QString labelText | ( |  | ) | const

Search for all occurrences

void setOption | ( | InputDialogOption | option,
|  | bool | on = `true`
| ) |  |

Search for all occurrences

bool testOption | ( | InputDialogOption | option | ) | const

Search for all occurrences

void setOptions | ( | InputDialogOptions | options | ) |

Search for all occurrences

InputDialogOptions options | ( |  | ) | const

Search for all occurrences

void setTextValue | ( | const QString & | text | ) |

Search for all occurrences

QString textValue | ( |  | ) | const

Search for all occurrences

void setTextEchoMode | ( | QLineEdit::EchoMode | mode | ) |

Search for all occurrences

QLineEdit::EchoMode textEchoMode | ( |  | ) | const

Search for all occurrences

void setComboBoxEditable | ( | bool | editable | ) |

Search for all occurrences

bool isComboBoxEditable | ( |  | ) | const

Search for all occurrences

void setComboBoxItems | ( | const QStringList & | items | ) |

Search for all occurrences

QStringList comboBoxItems | ( |  | ) | const

Search for all occurrences

void setIntValue | ( | int | value | ) |

Search for all occurrences

int intValue | ( |  | ) | const

Search for all occurrences

void setIntMinimum | ( | int | min | ) |

Search for all occurrences

int intMinimum | ( |  | ) | const

Search for all occurrences

void setIntMaximum | ( | int | max | ) |

Search for all occurrences

int intMaximum | ( |  | ) | const

Search for all occurrences

void setIntRange | ( | int | min,
|  | int | max
| ) |  |

Search for all occurrences

void setIntStep | ( | int | step | ) |

Search for all occurrences

int intStep | ( |  | ) | const

Search for all occurrences

void setDoubleValue | ( | double | value | ) |

Search for all occurrences

double doubleValue | ( |  | ) | const

Search for all occurrences

void setDoubleMinimum | ( | double | min | ) |

Search for all occurrences

double doubleMinimum | ( |  | ) | const

Search for all occurrences

void setDoubleMaximum | ( | double | max | ) |

Search for all occurrences

double doubleMaximum | ( |  | ) | const

Search for all occurrences

void setDoubleRange | ( | double | min,
|  | double | max
| ) |  |

Search for all occurrences

void setDoubleDecimals | ( | int | decimals | ) |

Search for all occurrences

int doubleDecimals | ( |  | ) | const

Search for all occurrences

void setOkButtonText | ( | const QString & | text | ) |

Search for all occurrences

QString okButtonText | ( |  | ) | const

Search for all occurrences

void setCancelButtonText | ( | const QString & | text | ) |

Search for all occurrences

QString cancelButtonText | ( |  | ) | const

Search for all occurrences

void open | ( | QObject * | receiver,
|  | const char * | member
| ) |  |

Search for all occurrences

QSize minimumSizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QDialog.

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QDialog.

void setVisible | ( | bool | visible | ) | `[virtual]`

Search for all occurrences

Reimplemented from QDialog.

static QString getText | ( | QWidget * | parent,
|  | const QString & | title,
|  | const QString & | label,
|  | QLineEdit::EchoMode | echo = `QLineEdit::Normal`,
|  | const QString & | text = `QString()`,
|  | bool * | ok = `0`,
|  | Qt::WindowFlags | flags = `0`
| ) |  | `[static]`

Search for all occurrences

static int getInt | ( | QWidget * | parent,
|  | const QString & | title,
|  | const QString & | label,
|  | int | value = `0`,
|  | int | minValue = `-2147483647`,
|  | int | maxValue = `2147483647`,
|  | int | step = `1`,
|  | bool * | ok = `0`,
|  | Qt::WindowFlags | flags = `0`
| ) |  | `[static]`

Search for all occurrences

static double getDouble | ( | QWidget * | parent,
|  | const QString & | title,
|  | const QString & | label,
|  | double | value = `0`,
|  | double | minValue = `-2147483647`,
|  | double | maxValue = `2147483647`,
|  | int | decimals = `1`,
|  | bool * | ok = `0`,
|  | Qt::WindowFlags | flags = `0`
| ) |  | `[static]`

Search for all occurrences

static QString getItem | ( | QWidget * | parent,
|  | const QString & | title,
|  | const QString & | label,
|  | const QStringList & | items,
|  | int | current = `0`,
|  | bool | editable = `true`,
|  | bool * | ok = `0`,
|  | Qt::WindowFlags | flags = `0`
| ) |  | `[static]`

Search for all occurrences

static int getInteger | ( | QWidget * | parent,
|  | const QString & | title,
|  | const QString & | label,
|  | int | value = `0`,
|  | int | minValue = `-2147483647`,
|  | int | maxValue = `2147483647`,
|  | int | step = `1`,
|  | bool * | ok = `0`,
|  | Qt::WindowFlags | flags = `0`
| ) |  | `[static]`

Search for all occurrences

void textValueChanged | ( | const QString & | text | ) | `[signal]`

Search for all occurrences

void textValueSelected | ( | const QString & | text | ) | `[signal]`

Search for all occurrences

void intValueChanged | ( | int | value | ) | `[signal]`

Search for all occurrences

void intValueSelected | ( | int | value | ) | `[signal]`

Search for all occurrences

void doubleValueChanged | ( | double | value | ) | `[signal]`

Search for all occurrences

void doubleValueSelected | ( | double | value | ) | `[signal]`

Search for all occurrences

void done | ( | int | result | ) | `[virtual]`

Search for all occurrences

Reimplemented from QDialog.

The documentation for this class was generated from the following file:

- QtGui/qinputdialog.h

QInputDialog QInputDialog QInputDialog QInputDialog QInputDialog QInputDialog QInputDialog QInputDialog QInputDialog QInputDialog
QInputDialog QInputDialog QInputDialog QInputDialog QInputDialog QInputDialog QInputDialog QInputDialog QInputDialog QInputDialog